## tests-3d7579ccc2356a23ea32878e8f0fbb0e75f59b68.zip

=== requirements.txt ===
#######################################################################################
# Copyright ETSI Contributors and Others.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
# implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#######################################################################################
appdirs==1.4.4
    # via openstacksdk
argcomplete==2.0.0
    # via yq
async-generator==1.10
    # via
    #   trio
    #   trio-websocket
attrs==22.2.0
    # via
    #   cmd2
    #   jsonschema
    #   outcome
    #   trio
autopage==0.5.1
    # via cliff
bcrypt==4.0.1
    # via paramiko
bitarray==2.6.2
    # via
    #   -r requirements.in
    #   pyangbind
blessings==1.7
    # via charm-tools
certifi==2022.12.7
    # via
    #   requests
    #   selenium
cffi==1.15.1
    # via
    #   cryptography
    #   pynacl
charm-tools==3.0.4
    # via -r requirements.in
charset-normalizer==3.0.1
    # via requests
cheetah3==3.2.6.post1
    # via charm-tools
cliff==4.1.0
    # via
    #   osc-lib
    #   python-openstackclient
cmd2==2.4.3
    # via cliff
colander==1.8.3
    # via charm-tools
cryptography==39.0.0
    # via
    #   openstacksdk
    #   paramiko
    #   secretstorage
debtcollector==2.5.0
    # via
    #   oslo-config
    #   oslo-utils
    #   python-keystoneclient
decorator==5.1.1
    # via
    #   dogpile-cache
    #   jsonpath-ng
    #   jsonpath-rw
    #   openstacksdk
dict2colander==0.2
    # via charm-tools
distlib==0.3.6
    # via virtualenv
dogpile-cache==1.1.8
    # via openstacksdk
enum34==1.1.10
    # via pyangbind
exceptiongroup==1.1.0
    # via trio
filelock==3.9.0
    # via virtualenv
h11==0.14.0
    # via wsproto
haikunator==2.1.0
    # via -r requirements.in
idna==3.4
    # via
    #   requests
    #   trio
importlib-metadata==6.0.0
    # via
    #   cliff
    #   keyring
importlib-resources==5.10.2
    # via
    #   jsonschema
    #   keyring
iso8601==1.1.0
    # via
    #   colander
    #   keystoneauth1
    #   openstacksdk
    #   oslo-utils
    #   python-novaclient
    #   python-openstackclient
jaraco-classes==3.2.3
    # via keyring
jeepney==0.8.0
    # via
    #   keyring
    #   secretstorage
jmespath==1.0.1
    # via openstacksdk
jsonpatch==1.32
    # via openstacksdk
jsonpath-ng==1.5.3
    # via robotframework-jsonlibrary
jsonpath-rw==1.4.0
    # via jsonpath-rw-ext
jsonpath-rw-ext==1.2.2
    # via robotframework-jsonvalidator
jsonpointer==2.3
    # via jsonpatch
jsonschema==4.17.3
    # via
    #   charm-tools
    #   robotframework-jsonlibrary
    #   robotframework-jsonvalidator
jujubundlelib==0.5.7
    # via charm-tools
keyring==23.13.1
    # via charm-tools
keystoneauth1==5.1.1
    # via
    #   openstacksdk
    #   osc-lib
    #   python-cinderclient
    #   python-keystoneclient
    #   python-novaclient
lxml==4.9.2
    # via
    #   pyang
    #   pyangbind
more-itertools==9.0.0
    # via jaraco-classes
msgpack==1.0.4
    # via oslo-serialization
munch==2.5.0
    # via openstacksdk
netaddr==0.8.0
    # via
    #   oslo-config
    #   oslo-utils
netifaces==0.11.0
    # via
    #   openstacksdk
    #   oslo-utils
objectpath==0.6.1
    # via robotframework-jsonvalidator
openstacksdk==0.103.0
    # via
    #   osc-lib
    #   python-openstackclient
os-service-types==1.7.0
    # via
    #   keystoneauth1
    #   openstacksdk
osc-lib==2.6.2
    # via python-openstackclient
oslo-config==9.1.0
    # via python-keystoneclient
oslo-i18n==5.1.0
    # via
    #   osc-lib
    #   oslo-config
    #   oslo-utils
    #   python-cinderclient
    #   python-keystoneclient
    #   python-novaclient
    #   python-openstackclient
oslo-serialization==5.0.0
    # via
    #   python-keystoneclient
    #   python-novaclient
oslo-utils==6.1.0
    # via
    #   osc-lib
    #   oslo-serialization
    #   python-cinderclient
    #   python-keystoneclient
    #   python-novaclient
    #   python-openstackclient
otherstuf==1.1.0
    # via charm-tools
outcome==1.2.0
    # via trio
packaging==23.0
    # via
    #   oslo-utils
    #   python-keystoneclient
paramiko==3.0.0
    # via
    #   robotframework-sshlibrary
    #   scp
parse==1.19.0
    # via stuf
path==16.6.0
    # via path-py
path-py==12.5.0
    # via charm-tools
pathspec==0.10.3
    # via charm-tools
pbr==5.11.1
    # via
    #   jsonpath-rw-ext
    #   keystoneauth1
    #   openstacksdk
    #   os-service-types
    #   osc-lib
    #   oslo-i18n
    #   oslo-serialization
    #   python-cinderclient
    #   python-keystoneclient
    #   python-novaclient
    #   python-openstackclient
    #   stevedore
pkgutil-resolve-name==1.3.10
    # via jsonschema
platformdirs==2.6.2
    # via virtualenv
ply==3.11
    # via
    #   jsonpath-ng
    #   jsonpath-rw
prettytable==3.6.0
    # via
    #   cliff
    #   python-cinderclient
    #   python-novaclient
pyang==2.5.3
    # via pyangbind
pyangbind==0.8.1
    # via -r requirements.in
pycparser==2.21
    # via cffi
pyjsonselect==0.2.2
    # via robotframework-jsonvalidator
pynacl==1.5.0
    # via paramiko
pyparsing==3.0.9
    # via oslo-utils
pyperclip==1.8.2
    # via cmd2
pyrsistent==0.19.3
    # via jsonschema
pysocks==1.7.1
    # via urllib3
python-cinderclient==9.2.0
    # via python-openstackclient
python-keystoneclient==5.0.1
    # via python-openstackclient
python-novaclient==18.2.0
    # via python-openstackclient
python-openstackclient==6.0.0
    # via -r requirements.in
pytz==2022.7.1
    # via
    #   oslo-serialization
    #   oslo-utils
pyyaml==5.4.1
    # via
    #   -r requirements.in
    #   charm-tools
    #   cliff
    #   jujubundlelib
    #   openstacksdk
    #   oslo-config
    #   robotframework-yamllibrary
    #   yq
regex==2022.10.31
    # via
    #   -r requirements.in
    #   pyangbind
requests==2.28.2
    # via
    #   -r requirements.in
    #   charm-tools
    #   keystoneauth1
    #   oslo-config
    #   python-cinderclient
    #   python-keystoneclient
    #   robotframework-requests
requestsexceptions==1.4.0
    # via openstacksdk
requirements-parser==0.5.0
    # via charm-tools
rfc3986==2.0.0
    # via oslo-config
robotframework==6.0.2
    # via
    #   -r requirements.in
    #   robotframework-jsonlibrary
    #   robotframework-jsonvalidator
    #   robotframework-requests
    #   robotframework-seleniumlibrary
    #   robotframework-sshlibrary
robotframework-jsonlibrary==0.5
    # via -r requirements.in
robotframework-jsonvalidator==2.0.0
    # via -r requirements.in
robotframework-pythonlibcore==4.0.0
    # via robotframework-seleniumlibrary
robotframework-requests==0.9.4
    # via -r requirements.in
robotframework-seleniumlibrary==6.0.0
    # via -r requirements.in
robotframework-sshlibrary==3.8.0
    # via -r requirements.in
robotframework-yamllibrary==0.2.8
    # via -r requirements.in
ruamel-yaml==0.17.21
    # via charm-tools
ruamel-yaml-clib==0.2.7
    # via ruamel-yaml
scp==0.14.4
    # via robotframework-sshlibrary
secretstorage==3.3.3
    # via
    #   charm-tools
    #   keyring
selenium==4.8.0
    # via robotframework-seleniumlibrary
simplejson==3.18.1
    # via
    #   osc-lib
    #   python-cinderclient
six==1.16.0
    # via
    #   blessings
    #   jsonpath-ng
    #   jsonpath-rw
    #   keystoneauth1
    #   munch
    #   pyangbind
    #   python-keystoneclient
sniffio==1.3.0
    # via trio
sortedcontainers==2.4.0
    # via trio
stevedore==4.1.1
    # via
    #   cliff
    #   dogpile-cache
    #   keystoneauth1
    #   osc-lib
    #   oslo-config
    #   python-cinderclient
    #   python-keystoneclient
    #   python-novaclient
    #   python-openstackclient
stuf==0.9.16
    # via otherstuf
toml==0.10.2
    # via yq
translationstring==1.4
    # via colander
trio==0.22.0
    # via
    #   selenium
    #   trio-websocket
trio-websocket==0.9.2
    # via selenium
types-docutils==0.19.1.2
    # via types-setuptools
types-setuptools==65.7.0.3
    # via requirements-parser
urllib3[socks]==1.26.14
    # via
    #   requests
    #   selenium
verboselogs==1.7
    # via -r requirements.in
vergit==1.0.2
    # via charm-tools
virtualenv==20.17.1
    # via charm-tools
wcwidth==0.2.6
    # via
    #   cmd2
    #   prettytable
wrapt==1.14.1
    # via debtcollector
wsproto==1.2.0
    # via trio-websocket
xmltodict==0.13.0
    # via yq
yq==3.1.0
    # via -r requirements.in
zipp==3.12.0
    # via
    #   importlib-metadata
    #   importlib-resources

# The following packages are considered to be unsafe in a requirements file:
# pip
# setuptools

=== debian/control ===
##
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.
#
# For those usages not covered by the Apache License, Version 2.0 please
# contact with: OSM_TECH@list.etsi.org
##
Source: osm-tests
Section: devel
Priority: optional
Maintainer: Gerardo Garcia <gerardo.garciadeblas@telefonica.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: http://osm.etsi.org

Package: osm-tests
Architecture: all
Depends: ${misc:Depends}
Description: Open Source MANO Next Generation UI based on Angular
